#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB6,0xD3,0x34,0x32,0x3F,0xC0,0x29,0x56,0xCD,0xCB,0x86,0x1A,
		0xE2,0x3E,0x6B,0x85,0x6D,0x6C,0x1C,0xD3,0xC2,0xE4,0x56,0x71,
		0x25,0xB3,0x6F,0x6E,0x61,0xD6,0x82,0x8E,0x4B,0xDF,0x1C,0x2D,
		0x43,0x74,0x5D,0x59,0xDE,0xA2,0x8E,0xAF,0xBB,0xBD,0x39,0x9F,
		0x85,0x46,0x6A,0x60,0x2F,0x87,0xE2,0x90,0x4C,0x08,0x8D,0xED,
		0x49,0x7B,0x59,0x9B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
